> For the complete documentation index, see [llms.txt](https://docs.certhis.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.certhis.io/certhis-sdk/deploy-collection.md).

# Deploy Collection

### Certhis SDK - Deploy Collection

**Introduction**

The Certhis SDK empowers developers to interact with the Certhis API, facilitating the deployment of NFT collections. Deploying an NFT collection is a fundamental step in the NFT creation process, and this guide will walk you through the process.

### **Installation**

You can install the Certhis SDK via npm:

```bash
$ npm i certhis
```

### **Usage**

Here's an example of deploying an NFT collection using the Certhis SDK:

```javascript
const { Web3 } = require("web3");
const certhis = require("certhis").init(Web3);

async function connectionAndCreate() {
  var web3Inject = await certhis.wallet.connect(
    "RPC_URL",
    "YOUR_WALLET_PASSPHRASE"
  );

  try {
    var collection = await certhis.collection.create({
      web3: web3Inject,
      collection_object: {
        collection_name: "Test Collection" ,
        collection_symbol: "TEST",
        collection_type: true,
      },

      whitelist: ["WALLET_WHITELIST"],
      mulParam: 4,
    });
    console.log(collection);
  } catch (e) {
    console.log(e);
  }
}

async function createCollection() {
  var collection = await connectionAndCreate();
  console.log(collection);
}
createCollection();
```

Please replace `"YOUR_RPC_URL"` and other placeholders with your specific values.

For more details and advanced usage, refer to the [Certhis SDK GitHub repository](https://github.com/certhis/Certhis-SDK).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.certhis.io/certhis-sdk/deploy-collection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
